{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Edit Assignment Info
{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-edit"></i>
                Edit Assignment Info
            </h2>
            <ul class="nav navbar-right panel_toolbox">
                <li>

                    <button class="btn1 btn-orange" type="button" data-toggle="modal"
                            data-target="#myModal">
                        Delete Assignment
                    </button>
                    <form method="POST">{% csrf_token %}
                        <input type="hidden" name="deletePk" value="{{ assignmentInfo.pk }}">
                        <div class="modal" id="myModal" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel1" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                        <h4 class="modal-title" id="myModalLabel1"><b> Delete Confirmation </b></h4>
                                    </div>
                                    <div class="modal-body">
                                        <h4 align="center" style="word-wrap: break-word"> This will delete the
                                            Assignment <b>{{ assignmentInfo.title }}</b>
                                        </h4>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn1 btn1-secondary" data-dismiss="modal">Close
                                        </button>
                                        <input type="submit" class="btn1 btn-deep-orange" name="delete"
                                               value="Delete"/>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </li>
            </ul>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div>
                <form method="POST">{% csrf_token %}
                    <input type="hidden" name="editPk" value="{{ assignmentInfo.pk }}">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <div class="form-horizontal form-label-left">
                            <br>
                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Title
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                <textarea name="title" class="form-control" placeholder="Tell about the Assignment"
                                          type="text"
                                          maxlength="1000" required>{{ assignmentInfo.title }}</textarea>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Description
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                <textarea class="form-control" type="text" name="description"
                                          maxlength="5000"
                                          placeholder="(Optional)">{{ assignmentInfo.description }}</textarea>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Post Assignment Till
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <input id="datepicker" class="form-control" name="date"
                                           value="{{ assignmentInfo.last_date|date:'d/m/Y' }}" type="text" required readonly>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    File
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <a href="{{ assignmentInfo.files.first.file }}">{{ assignmentInfo.files.first.name }}</a>
                                </div>
                            </div>

                            <br>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <button type="submit" name="update" class="btn1 btn1-success">Update Record
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>


    <script type="text/javascript">

        $(function () {
            $("#datepicker").datepicker({dateFormat: 'dd/mm/yy', minDate: 'today'});
        });


    </script>

{% endblock %}